package com.wily.introscope.typeviews.datadriven.sdk;

import com.wily.introscope.console.thornhill.ui.IUserInterfaceServices;
import com.wily.introscope.console.thornhill.ui.typeviewer.ATypeViewerFactory;
import com.wily.introscope.console.thornhill.ui.typeviewer.ITypeViewer;
import com.wily.ui.IGenericServices;
import com.wily.util.feedback.Module;

import java.util.Map;

public class SDKTypeViewerFactory extends ATypeViewerFactory
{

    public SDKTypeViewerFactory()
    {
    	super();
    }
    	

    public SDKTypeViewerFactory(IUserInterfaceServices services)
    {
    	super(services);
    }

    
    public ITypeViewer getTypeViewer(IGenericServices genericServices, Map widgetProperties)
    {
    	return new SDKTypeViewerCustom(getUserInterfaceServices(), genericServices);
    	
    }

    public boolean isFactoryForTypeViewer(String typeViewerClassName)
    {
        return "com.wily.introscope.typeviews.datadriven.sdk.SDKTypeViewerCustom".equals(typeViewerClassName);
    }

    private Module sModule = new Module("SDKTypeViewerFactory");
}
